%global npm_name fill-range
%global enable_tests 1

Name: nodejs-%{npm_name}
Version: 5.0.0
Release: %mkrel 6
Summary: Fill in a range of numbers or letters, optionally passing an increment or `step` to use, or create a regex-compatible range with `options
License: MIT
Group: Development/Other
URL: https://github.com/jonschlinkert/fill-range
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
Requires: npm(extend-shallow)
Requires: npm(is-number)
Requires: npm(repeat-string)
Requires: npm(to-regex-range)
BuildArch: noarch

%description
%{summary}

%prep
%setup -q -n package

%nodejs_fixdep extend-shallow ">=3.0.0"
%nodejs_fixdep is-number ">=6.0.0"
%nodejs_fixdep to-regex-range ">=3.0.0"

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr index.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
%endif

%files
%{nodejs_sitelib}/%{npm_name}
%license LICENSE
%doc README.md



%changelog
* Tue Mar 22 2022 umeabot <umeabot> 5.0.0-6.mga9
+ Revision: 1820023
- Mageia 9 Mass Rebuild

* Fri May 15 2020 joequant <joequant> 5.0.0-5.mga8
+ Revision: 1584120
- recompute deps

* Wed Feb 12 2020 umeabot <umeabot> 5.0.0-4.mga8
+ Revision: 1502670
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 5.0.0-3.mga7
+ Revision: 1280478
- Mageia 7 Mass Rebuild

* Mon May 07 2018 kekepower <kekepower> 5.0.0-2.mga7
+ Revision: 1227319
- Fix nodejs dependencies

* Thu May 03 2018 kekepower <kekepower> 5.0.0-1.mga7
+ Revision: 1225296
- imported package nodejs-fill-range

